package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;
/**
 * 礼品卡Dto
 * @author 刘志伟
 *
 */
public class GiftCardDto implements Serializable{

/**
	 * 
	 */
	private static final long serialVersionUID = -5094060294118133012L;

	private Integer cardId;				//礼品卡id
	
	private String cardOpenId;			//代理商openid
	
	private String cardPassword;		//礼品卡密码
	
	private Integer cardStatus;			//礼品卡使用状态
	
	private Date cardCreateDate;		//创建时间 
	
	private Date cardUseDate;			//使用时间
	
	private Integer cardOldStatus;		//礼品卡之前的使用状态
	
	private Integer cardOldSalesStatus;//礼品卡之前的出售状态
	
	private PageBean page = new PageBean();		//分页

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}

	public Integer getCardOldStatus() {
		return cardOldStatus;
	}

	public void setCardOldStatus(Integer cardOldStatus) {
		this.cardOldStatus = cardOldStatus;
	}

	public Integer getCardOldSalesStatus() {
		return cardOldSalesStatus;
	}

	public void setCardOldSalesStatus(Integer cardOldSalesStatus) {
		this.cardOldSalesStatus = cardOldSalesStatus;
	}

	public Integer getCardId() {
		return cardId;
	}

	public void setCardId(Integer cardId) {
		this.cardId = cardId;
	}

	public String getCardOpenId() {
		return cardOpenId;
	}

	public void setCardOpenId(String cardOpenId) {
		this.cardOpenId = cardOpenId;
	}

	public String getCardPassword() {
		return cardPassword;
	}

	public void setCardPassword(String cardPassword) {
		this.cardPassword = cardPassword;
	}

	public Integer getCardStatus() {
		return cardStatus;
	}

	public void setCardStatus(Integer cardStatus) {
		this.cardStatus = cardStatus;
	}

	public Date getCardCreateDate() {
		return cardCreateDate;
	}

	public void setCardCreateDate(Date cardCreateDate) {
		this.cardCreateDate = cardCreateDate;
	}

	public Date getCardUseDate() {
		return cardUseDate;
	}

	public void setCardUseDate(Date cardUseDate) {
		this.cardUseDate = cardUseDate;
	}
}
